id: costa-phish

info:
  name: costa phishing Detection
  author: rxerium
  severity: info
  description: |
    A costa phishing website was detected
  reference:
    - https://costa.co.uk
  metadata:
    max-request: 1
  tags: phishing,costa,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'The Nation&#x27;s Favourite Coffee Shop | Costa Coffee'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"costa.co.uk")'
# digest: 490a004630440220308942847d37730c8839897ce32039c30bda567653bf0552cb9bd32e45da52ca022044c3a48af161e9a73e3d7eedb5c692fc895884c9228c3c8dad89849b6492e87c:922c64590222798bb761d5b6d8e72950